View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000132Ecere SDKidepublic2008-08-22 21:482012-03-29 07:52
Reporterrohypnol 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000132: Project path trimming
DescriptionWhen you go to Project->New, the last directory in the "Location" path gets removed. I can see the logic behind this but the side effects can be a bit annoying. Please consider not changing the Location path automatically.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000097)
jerome (administrator)
2008-08-29 22:20

The NewProject dialog initially sets the path to the location of the last opened project, up one folder.

Changing the project name when already entered, if the location path last element matches the project name, it is renamed when the project name is renamed.

an else has been added in the projectName.NotifyModified (dialog/NewProjectDialog.ec) so that when entering a project name, it is added to the location path automatically:

         if(text[0] && (!strcmp(path, lastPart) || !path[0] || !strcmp(this.name, lastPart)))
         {
            if(strcmp(path, lastPart))
               StripLastDirectory(path, path);
            PathCat(path, name);
            locationEditBox.contents = path;
         }
         else
         {
            PathCat(path, name);
            locationEditBox.contents = path;
         }


I believe this fixes the annoyance, and is actually quite intuitive. Comments welcome.

- Issue History
Date Modified Username Field Change
2008-08-22 21:48 rohypnol New Issue
2008-08-22 22:53 jerome Status new => assigned
2008-08-22 22:53 jerome Assigned To => jerome
2008-08-22 22:53 jerome Priority normal => immediate
2008-08-29 22:20 jerome Note Added: 0000097
2008-08-29 22:25 jerome Status assigned => resolved
2008-08-29 22:25 jerome Resolution open => fixed
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:28 redj Relationship added child of 0000429
2010-07-25 21:36 redj Relationship deleted child of 0000429
2010-07-25 21:36 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker